![Sockit](https://github.com/ripl-org/sockit/raw/main/sockit.png)

*Sockit* is a natural-language processing toolkit for modeling structured
occupation information and Standard Occupational Classification (SOC) codes
in unstructured text from job titles, job postings, and resumes.

It is developed by [Research Improving People's Lives](https://www.ripl.org)
(RIPL) and is deployed in production in the following applications:
* [Hawai'i Career Acceleration Navigator](https://hican.hawaii.gov)
* [Career Compass RI](https://recommendations.backtoworkri.com)

You can **test out** *sockit* (without installing it) using a web-hosted
version at:
[https://research.ripl.org/#/sockit](https://research.ripl.org/#/sockit).

**Documentation and examples** can be found in the GitHub
[wiki](https://github.com/ripl-org/sockit/wiki).

The occupuational models that come prepackaged with *sockit* are built with
the [sockit-data](https://github.com/ripl-org/sockit-data/) tool.

## License

Copyright 2022-2023 Innovative Policy Lab d/b/a Research Improving People's Lives
("RIPL"), Providence, RI. All Rights Reserved.

Your use of the Software License along with any related Documentation, Data,
etc. is governed by the terms and conditions which are available here:
[LICENSE.md](https://github.com/ripl-org/sockit/blob/main/LICENSE.md)

Please contact [connect@ripl.org](mailto:connect@ripl.org) to inquire about
commercial use.

## Installation

Requires Python 3.8 or later.

To install the latest **release version** from PyPI using **pip**:

    pip install sockit

To install a **development version** from the current directory of the git
repository:

    pip install -e .

## Contributors

* Marcelle Goggins
* Ethan Ho
* Nile Dixon
* [Mark Howison](https://mark.howison.org)
* Joe Long
* Karen Shen
